Package org.apache.sling.launchpad.base.impl

# Class SlingFelix

java.lang.Object
org.apache.felix.framework.Felix
org.apache.sling.launchpad.base.impl.SlingFelix

All Implemented Interfaces:
  `Comparable<org.osgi.framework.Bundle>`, `org.osgi.framework.Bundle`, `org.osgi.framework.BundleReference`, `org.osgi.framework.launch.Framework`, `org.osgi.framework.wiring.BundleRevisions`

public class SlingFelix extends org.apache.felix.framework.Felix

## Field Summary

### Fields inherited from interface org.osgi.framework.Bundle

`ACTIVE, INSTALLED, RESOLVED, SIGNERS_ALL, SIGNERS_TRUSTED, START_ACTIVATION_POLICY, START_TRANSIENT, STARTING, STOP_TRANSIENT, STOPPING, UNINSTALLED`

## Constructor Summary

Constructors
Constructor
Description
`SlingFelix(Notifiable notifiable, Map props)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(org.osgi.framework.Bundle arg0)`
`Enumeration`
`findEntries(String arg0, String arg1, boolean arg2)`
`org.osgi.framework.Bundle`
`getBundle()`
`org.osgi.framework.Bundle`
`getBundle(Class<?> clazz)`
Returns the bundle from which the given class has been loaded or `null` if the class has not been loaded through any of the bundles in this framework.
`org.osgi.framework.BundleContext`
`getBundleContext()`
`File`
`getDataFile(String arg0)`
`URL`
`getEntry(String arg0)`
`Enumeration`
`getEntryPaths(String arg0)`
`Dictionary`
`getHeaders()`
`Dictionary`
`getHeaders(String arg0)`
`String`
`getLocation()`
`org.osgi.framework.ServiceReference[]`
`getRegisteredServices()`
`URL`
`getResource(String arg0)`
`Enumeration`
`getResources(String arg0)`
`List<org.osgi.framework.wiring.BundleRevision>`
`getRevisions()`
`org.osgi.framework.ServiceReference[]`
`getServicesInUse()`
`Map`
`getSignerCertificates(int arg0)`
`int`
`getState()`
`String`
`getSymbolicName()`
`org.osgi.framework.Version`
`getVersion()`
`Class`
`loadClass(String arg0)`
`void`
`restart()`
`void`
`stop()`
`void`
`stop(int status)`
`void`
`update()`
`void`
`update(InputStream is)`

### Methods inherited from class org.apache.felix.framework.Felix

`adapt, getBundleId, getLastModified, getPersistentState, hasConnectFramework, hasPermission, init, init, setPersistentStateActive, setPersistentStateInactive, setPersistentStateUninstalled, start, start, toString, uninstall, waitForStop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.osgi.framework.Bundle

`getBundleContext, getDataFile, getHeaders, getHeaders, getRegisteredServices, getResource, getResources, getServicesInUse, getSignerCertificates, getState, getVersion, loadClass`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.osgi.framework.launch.Framework

`findEntries, getEntry, getEntryPaths, getLocation, getSymbolicName`

## Constructor Details

### SlingFelix

public SlingFelix(Notifiable notifiable, Map props) throws Exception

Throws:
  `Exception`

## Method Details

### update

public void update() throws org.osgi.framework.BundleException

Specified by:
  `update` in interface `org.osgi.framework.Bundle`
Specified by:
  `update` in interface `org.osgi.framework.launch.Framework`
Overrides:
  `update` in class `org.apache.felix.framework.Felix`
Throws:
  `org.osgi.framework.BundleException`

### update

public void update(InputStream is) throws org.osgi.framework.BundleException

Specified by:
  `update` in interface `org.osgi.framework.Bundle`
Specified by:
  `update` in interface `org.osgi.framework.launch.Framework`
Overrides:
  `update` in class `org.apache.felix.framework.Felix`
Throws:
  `org.osgi.framework.BundleException`

### restart

public void restart() throws org.osgi.framework.BundleException

Throws:
  `org.osgi.framework.BundleException`

### stop

public void stop() throws org.osgi.framework.BundleException

Specified by:
  `stop` in interface `org.osgi.framework.Bundle`
Specified by:
  `stop` in interface `org.osgi.framework.launch.Framework`
Overrides:
  `stop` in class `org.apache.felix.framework.Felix`
Throws:
  `org.osgi.framework.BundleException`

### stop

public void stop(int status) throws org.osgi.framework.BundleException

Specified by:
  `stop` in interface `org.osgi.framework.Bundle`
Specified by:
  `stop` in interface `org.osgi.framework.launch.Framework`
Overrides:
  `stop` in class `org.apache.felix.framework.Felix`
Throws:
  `org.osgi.framework.BundleException`

### getBundle

public org.osgi.framework.Bundle getBundle(Class<?> clazz)
Returns the bundle from which the given class has been loaded or `null` if the class has not been loaded through any of the bundles in this framework.

This method delegates to Felix.getBundle(Class) to support the URLHandlers service implementation. See SLING-2554 for details.

Parameters:
  `clazz` - The class to check
Returns:
  The Bundle or `null` if the class has not been loaded through any of the bundles in this framework.

### getBundleContext

public org.osgi.framework.BundleContext getBundleContext()

Specified by:
  `getBundleContext` in interface `org.osgi.framework.Bundle`

### getEntry

public URL getEntry(String arg0)

Specified by:
  `getEntry` in interface `org.osgi.framework.Bundle`

### getEntryPaths

public Enumeration getEntryPaths(String arg0)

Specified by:
  `getEntryPaths` in interface `org.osgi.framework.Bundle`

### findEntries

public Enumeration findEntries(String arg0, String arg1, boolean arg2)

Specified by:
  `findEntries` in interface `org.osgi.framework.Bundle`

### getHeaders

public Dictionary getHeaders()

Specified by:
  `getHeaders` in interface `org.osgi.framework.Bundle`

### getHeaders

public Dictionary getHeaders(String arg0)

Specified by:
  `getHeaders` in interface `org.osgi.framework.Bundle`

### getLocation

public String getLocation()

Specified by:
  `getLocation` in interface `org.osgi.framework.Bundle`

### getResource

public URL getResource(String arg0)

Specified by:
  `getResource` in interface `org.osgi.framework.Bundle`

### getResources

public Enumeration getResources(String arg0) throws IOException

Specified by:
  `getResources` in interface `org.osgi.framework.Bundle`
Throws:
  `IOException`

### getRegisteredServices

public org.osgi.framework.ServiceReference[] getRegisteredServices()

Specified by:
  `getRegisteredServices` in interface `org.osgi.framework.Bundle`

### getServicesInUse

public org.osgi.framework.ServiceReference[] getServicesInUse()

Specified by:
  `getServicesInUse` in interface `org.osgi.framework.Bundle`

### getState

public int getState()

Specified by:
  `getState` in interface `org.osgi.framework.Bundle`

### getSymbolicName

public String getSymbolicName()

Specified by:
  `getSymbolicName` in interface `org.osgi.framework.Bundle`

### getVersion

public org.osgi.framework.Version getVersion()

Specified by:
  `getVersion` in interface `org.osgi.framework.Bundle`

### getSignerCertificates

public Map getSignerCertificates(int arg0)

Specified by:
  `getSignerCertificates` in interface `org.osgi.framework.Bundle`

### loadClass

public Class loadClass(String arg0) throws ClassNotFoundException

Specified by:
  `loadClass` in interface `org.osgi.framework.Bundle`
Throws:
  `ClassNotFoundException`

### getDataFile

public File getDataFile(String arg0)

Specified by:
  `getDataFile` in interface `org.osgi.framework.Bundle`

### compareTo

public int compareTo(org.osgi.framework.Bundle arg0)

Specified by:
  `compareTo` in interface `Comparable<org.osgi.framework.Bundle>`

### getBundle

public org.osgi.framework.Bundle getBundle()

Specified by:
  `getBundle` in interface `org.osgi.framework.BundleReference`

### getRevisions

public List<org.osgi.framework.wiring.BundleRevision> getRevisions()

Specified by:
  `getRevisions` in interface `org.osgi.framework.wiring.BundleRevisions`